# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorarch: %global perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)}

Summary:	Perl module for mapping charsets from and to UTF16 unicode
Name:		perl-Unicode-Map
Version:	0.112
Release:	22.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Unicode-Map/
Source0:	http://search.cpan.org/CPAN/authors/id/M/MS/MSCHWARTZ/Unicode-Map-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:	perl(ExtUtils::MakeMaker)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This module converts strings from and to 2-byte Unicode UCS2 format.
All mappings happen via 2 byte UTF16 encodings, not via 1 byte UTF8
encoding. To convert between UTF8 and UTF16 use Unicode::String.

For historical reasons this module coexists with Unicode::Map8.
Please use Unicode::Map8 unless you need to care for >1 byte character
sets, e.g. Chinese GB2312. Anyway, if you stick to the basic
functionality (see documentation) you can use both modules equivalently.

%prep
%setup -q -n Unicode-Map-%{version} 
 
%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE='%{optflags}'
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} ';' 2>/dev/null
chmod -R u+w %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING Changes README
%{_bindir}/map
%{_bindir}/mirrorMappings
%{_bindir}/mkCSGB2312
%{_bindir}/mkmapfile
%{perl_vendorarch}/Unicode/
%{perl_vendorarch}/auto/Unicode/
%{_mandir}/man1/map.1*
%{_mandir}/man1/mkmapfile.1*
%{_mandir}/man3/Unicode::Map.3pm*

%changelog
* Wed Oct 19 2011 Paul Howarth <paul@city-fan.org> 0.112-22
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jul  8 2011 Paul Howarth <paul@city-fan.org> 0.112-21
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> 0.112-12
- Rebuild for perl 5.12.1 in Rawhide

* Thu May 27 2010 Paul Howarth <paul@city-fan.org> 0.112-11
- Fix dist tag for RHEL-6 Beta

* Thu Feb 18 2010 Paul Howarth <paul@city-fan.org> 0.112-10
- Dist tag for Rawhide no longer needs special-casing

* Thu Oct  1 2009 Paul Howarth <paul@city-fan.org> 0.112-9
- Use %%{?perl_default_filter} for provides filter

* Fri Mar  6 2009 Paul Howarth <paul@city-fan.org> 0.112-8
- Filter out unwanted provides for perl shared objects
- Update to SLES-compatible dist tag macros

* Thu Oct 30 2008 Paul Howarth <paul@city-fan.org> 0.112-7
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Tue Mar 20 2007 Paul Howarth <paul@city-fan.org> 0.112-6
- Fix dist tag for development builds and Fedora 7 onwards
- License is same as perl, not just "distributable"
- Fix argument order for find with -depth
- Buildreq perl(ExtUtils::MakeMaker)

* Thu Aug 31 2006 Paul Howarth <paul@city-fan.org> 0.112-5
- Simplify distribution-detection
- Simplify compiler optimization flag setting
- Don't define macros for rarely-repeated text
- Don't use macros in build-time command paths, hardcode them instead
- Own directories properly
- Use search.cpan.org URLs

* Wed Jun  1 2005 Paul Howarth <paul@city-fan.org> 0.112-4
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency

* Thu Apr 15 2004 Paul Howarth <paul@city-fan.org> 0.112-3
- Added explicit perl dependency to ensure that an RPM built on a
  system with an updated version of perl (and hence having files
  installed in a place that a non-updated system won't find them)
  will not install on the non-updated system. In such cases, just
  rebuild from the source RPM.
- Changed distribution-identifying macros for greater portability.

* Mon Feb 16 2004 Paul Howarth <paul@city-fan.org> 0.112-2
- Unified spec file for Red Hat and Fedora Core

* Mon Feb 02 2004 Paul Howarth <paul@city-fan.org> 0.112-1.fc1
- Initial RPM build.
